%define rls rc2

Summary:	It provides a web-based interface to manage a whole farm of VServer hosts
Name:		openvcp-web
Version:	0.3
Release:	%mkrel 0.%{rls}.1
License:	GPL
Group:		System/Servers
URL:		http://openvcp.org/
Source0:	http://openvcp.org/%{name}-%{version}.tar.gz
Patch0:		openvcp-web-mdv_config.diff
Requires(pre):	apache-mod_php php-mysql
Requires:	apache-mod_php php-mysql openvcpd
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRequires:	apache-base >= 2.0.54
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
OpenVCP is developed for use with Linux in combination with Linux-Vserver.
It provides a web-based interface to manage a whole farm of VServer hosts,
build guests, control the guests, account traffic and much more.

%prep

%setup -q -n %{name}-%{version}-%{rls}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# cleanup
rm -rf core/pear core/cache

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%patch0 -p1

%build

%install
rm -rf %{buildroot}

export DONT_RELINK=1

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}
install -d %{buildroot}/var/cache/openvcp
install -d %{buildroot}%{_datadir}/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

# cleanup
pushd %{buildroot}/var/www/%{name}
    rm -rf debian
    rm -f AUTHORS COPYING Changelog README Makefile core/mysql.sql
    find -name "\.htaccess" | xargs rm -f
popd

# fix config file location
mv %{buildroot}/var/www/%{name}/core/openvcp.conf %{buildroot}%{_sysconfdir}/%{name}/openvcp.conf

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

<Directory /var/www/%{name}/include>
    Order Deny,Allow
    Deny from All
    Allow from None
</Directory>

<LocationMatch /%{name}>
    Options FollowSymLinks
    RewriteEngine on
    RewriteCond %{SERVER_PORT} !^443$
    RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
</LocationMatch>

EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp

%postun
%_postun_webapp
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README core/mysql.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/openvcp.conf
/var/www/%{name}
%dir %attr(0711,apache,apache) /var/cache/openvcp


%changelog
* Sat Sep 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.rc2.1mdv2009.0
+ Revision: 281978
- 0.3-rc2
- rediffed P0

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-3mdv2009.0
+ Revision: 254894
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-1mdv2008.1
+ Revision: 145344
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.2-1mdv2007.0
+ Revision: 107155
- Fix Patch0
- Import openvcp-web

